LogHandler Class Referenceabstract

`#include <loghandler.h>`

## Public Member Functions

virtual | ~LogHandler ()
virtual void | handleLog (LogLevel level, LogArea area, const std::string &message)=0

## Detailed Description

A virtual interface which can be reimplemented to receive debug and log messages.

handleLog() is called for log messages.

Author
  Jakob Schröter js@ca.nosp@m.maya.nosp@m..net

Since
  0.5

Definition at line 33 of file loghandler.h.

## Constructor & Destructor Documentation

## ~LogHandler()

virtual ~LogHandler | ( |  | ) |

inline virtual

Virtual Destructor.

Definition at line 39 of file loghandler.h.

## Member Function Documentation

## handleLog()

virtual void handleLog | ( | LogLevel | level,
|  | LogArea | area,
|  | const std::string & | message )

pure virtual

Reimplement this function if you want to receive the chunks of the conversation between gloox and server or other debug info from gloox.

Parameters

  level | The log message's severity.
  area | The log message's origin.
  message | The log message.

The documentation for this class was generated from the following file:

- loghandler.h